service system/clock {
	need = system/initial system/timezone;

script start = {
	# Read functions
	. /etc/rc.d/init.d/functions

	# Set the system clock.
	ARC=0
	SRM=0
	UTC=0

	if [ -f /etc/sysconfig/clock ]; then
		. /etc/sysconfig/clock

		# convert old style clock config to new values
		if [ "${CLOCKMODE}" = "GMT" ]; then
			UTC=true
		elif [ "${CLOCKMODE}" = "ARC" ]; then
			ARC=true
		fi
	fi

	if grep "system serial" /proc/cpuinfo | grep -q MILO ; then
		ARC=true
	fi

	CLOCKDEF=""
	CLOCKFLAGS="--hctosys"

	if is_yes "$UTC" ; then
		CLOCKFLAGS="$CLOCKFLAGS --utc"
		CLOCKDEF="$CLOCKDEF (utc)"
	else
		CLOCKFLAGS="$CLOCKFLAGS --localtime"
		CLOCKDEF="$CLOCKDEF (local)"
	fi

	if is_yes "$ARC" ; then
		CLOCKFLAGS="$CLOCKFLAGS -A"
		CLOCKDEF="$CLOCKDEF (arc)"
	fi

	if is_yes "$SRM" ; then
		CLOCKFLAGS="$CLOCKFLAGS -S"
		CLOCKDEF="$CLOCKDEF (srm)"
	fi

	# Check if timezone definition is available
	if [ -e /etc/localtime ] ; then
		if run_cmd "$(nls 'Setting clock')$CLOCKDEF" /sbin/hwclock $CLOCKFLAGS; then
			show "$(nls 'Today`s date:') $(LC_CTYPE=C date)"; ok
		fi
	else
		TIME_SETUP_DELAYED=yes
	fi
}
}
